<?xml version="1.0"?>
<Annotations>
  <Attribute name="nodeName" nullable="no"/>
  <Attribute name="nodeValue" nullable="yes"/>
  <Attribute name="nodeType" nullable="no"/>
  <Attribute name="parentNode" nullable="yes"/>
  <Attribute name="childNodes" nullable="no"/>
  <Attribute name="firstChild" nullable="yes"/>
  <Attribute name="lastChild" nullable="yes"/>
  <Attribute name="previousSibling" nullable="yes"/>
  <Attribute name="nextSibling" nullable="yes"/>
  <Attribute name="attributes" nullable="yes"/>
  <Attribute name="ownerDocument" nullable="yes"/>
  <Attribute name="namespaceURI" nullable="yes"/>
  <Attribute name="prefix" nullable="yes"/>
  <Attribute name="localName" nullable="yes"/>
  <Method name="insertBefore" nullable="no">
    <Param name="newChild" nullable="no"/>
    <Param name="refChild" nullable="yes"/>
  </Method>
  <Method name="replaceChild" nullable="no">
    <Param name="newChild" nullable="no"/>
    <Param name="oldChild" nullable="no"/>
  </Method>
  <Method name="removeChild" nullable="no">
    <Param name="oldChild" nullable="no"/>
  </Method>
  <Method name="appendChild" nullable="no">
    <Param name="newChild" nullable="no"/>
  </Method>
  <Method name="hasChildNodes" nullable="no"/>
  <Method name="cloneNode" nullable="no">
    <Param name="deep" nullable="no"/>
  </Method>
  <Method name="normalize" nullable="no"/>
  <Method name="isSupported" nullable="no">
    <Param name="feature" nullable="no"/>
    <Param name="version" nullable="no"/>
  </Method>
  <Method name="hasAttributes" nullable="no"/>
</Annotations>
